#353 Word wrap in Juno

v1.5.0
open-fixed
None
5
2014-08-15
2012-07-11
Anonymous
No

I have installed the latest version of Eclipse (4.2) code named Juno.
I have noticed that on both Windows and Mac the soft and hard word wrapping no longer functions.

Discussion

1 2 > >> (Page 1 of 2)
  • S Phelps

    S Phelps - 2012-07-12

    I have the same problem with Juno on Linux (64bit Ubuntu 12.04 KDE) with Texclipse version 1.5.0. Word wrap works fine on other machines with earlier versions of Eclipse installed.

     
  • Bernhard Stadler

    I have the same problem on Eclipse 4.2 + Texlipse 1.5.0.
    I wanted to add that sometimes the lines _are_ wrapped for a split second, but then immediately re-appear unwrapped.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-07-20

    Same problem here with Eclipse 4.2 + Texlipse 1.5.0 on debian squeeze 64.
    It makes editor really annoying to use (at least from my point of view). Could you raise priority ?

    Tested with :
    java.runtime.name=OpenJDK Runtime Environment
    java.runtime.version=1.6.0_18-b18
    and :
    java.runtime.name=Java(TM) SE Runtime Environment
    java.runtime.version=1.7.0_04-b20

     
    Last edit: Anonymous 2014-03-14
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-07-23

    Esc Q seems to work fine it is the auto wrapping or when adding a space to a sentence that the word wrap fails

     
  • christophknote

    christophknote - 2012-07-26

    Same here, Juno on Linux (Scientific Linux 6.2 64bit Kernel 2.6.32 GNOME) and Texlipse 1.5.0.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-07-30

    I have the same problem on Windows 7 64 bit and Texlipse 1.5.0.

    Tested with 64 bit Oracle JDK and JSE.

    When in the settings I change wrapping to "Use hard wrapping" then apply, and then change to "Use soft wrapping" and apply, then the text is properly soft wrapped until I click on the Ok button of the Settings window. When I close the settings window by clicking Ok the soft wrapping disappears.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-08-01

    I also have the same problem:
    Texlipse 1.5.0, Windows 7 64bit, with 32bit Java and Eclipse 4.2.0
    java version "1.7.0_05"
    Java(TM) SE Runtime Environment (build 1.7.0_05-b06)

    Texlipse throws a NullPointerException when I try to change the wrapping mode:
    java.lang.NullPointerException
    at net.sourceforge.texlipse.actions.TexWordWrapAction.getTextEditor(TexWordWrapAction.java:124)
    at net.sourceforge.texlipse.actions.TexWordWrapAction.setType(TexWordWrapAction.java:102)
    at net.sourceforge.texlipse.actions.TexWordWrapAction.access$1(TexWordWrapAction.java:100)
    at net.sourceforge.texlipse.actions.TexWordWrapAction$WrapPropertyChangeListener.propertyChange(TexWordWrapAction.java:58)
    at org.eclipse.ui.preferences.ScopedPreferenceStore$3.run(ScopedPreferenceStore.java:375)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    at org.eclipse.ui.preferences.ScopedPreferenceStore.firePropertyChangeEvent(ScopedPreferenceStore.java:372)
    at org.eclipse.ui.preferences.ScopedPreferenceStore$2.preferenceChange(ScopedPreferenceStore.java:194)
    at org.eclipse.core.internal.preferences.EclipsePreferences$3.run(EclipsePreferences.java:889)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    at org.eclipse.core.internal.preferences.EclipsePreferences.firePreferenceEvent(EclipsePreferences.java:892)
    at org.eclipse.core.internal.preferences.EclipsePreferences.remove(EclipsePreferences.java:1007)
    at org.eclipse.ui.preferences.ScopedPreferenceStore.setValue(ScopedPreferenceStore.java:787)
    at org.eclipse.jface.preference.RadioGroupFieldEditor.doStore(RadioGroupFieldEditor.java:216)
    at org.eclipse.jface.preference.FieldEditor.store(FieldEditor.java:680)
    at org.eclipse.jface.preference.FieldEditorPreferencePage.performOk(FieldEditorPreferencePage.java:343)
    at org.eclipse.jface.preference.PreferencePage.performApply(PreferencePage.java:432)
    at org.eclipse.jface.preference.PreferencePage$2.widgetSelected(PreferencePage.java:281)
    at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:248)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
    at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4169)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3758)
    at org.eclipse.jface.window.Window.runEventLoop(Window.java:825)
    at org.eclipse.jface.window.Window.open(Window.java:801)
    at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:215)
    at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:65)
    at org.eclipse.jface.action.Action.runWithEvent(Action.java:498)
    at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:584)
    at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:501)
    at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:411)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1053)
    at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4169)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3758)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1022)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:916)
    at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:86)
    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:585)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:540)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:124)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1438)

     
    Last edit: Anonymous 2014-08-22
  • Gellule

    Gellule - 2012-08-01

    To me it looks like this is related to this bug of eclipse:
    https://bugs.eclipse.org/bugs/show_bug.cgi?id=384354

    The tool bar for the TeX editor is instantiated twice, providing the wrap option toggle twice. They interact with each other, as seen in the content of the editor wrapping properly and then unwrapping quickly after when wrap is turned on, when you toggle the second wrap button.

    It seems that TeXlipse should upgrade from using org.eclipse.ui.editorActions to using org.eclipse.ui.menus.

    Cheers,

     
  • Richard Wolnicky

    Same problem here, Juno, Linux (64bit Ubuntu 12.04 XFCE). Texclipse version 1.5.0. Manual line wrap (Esc Q) works well, while Auto Wrap fails. Trying to swith from hard to soft wrapping causes a bunch of NullpointerException (as described by some user before.)
    I would really appreciate a fix. :)

     
  • Bernhard Stadler

    I have noticed something more specific about the word wrapping in 4.2:
    As I posted before, the word wrapping does sometimes work for a split second.
    This reproducibly happens when you switch from any other editor to a Texlipse editor.

    The editor appears to be rendered in two steps:
    In the first step, the text is visible and word wrapping works, and line numbers and markers are displayed, but the column with ths +/- signs for code folding is NOT rendered - in their place is whatever the editor you came from showed at that spot.
    No horizontal scroll bar is displayed at first.
    In the second step, the text, the line numbers, the markers and the column for code folding is visible, but the word wrapping doesn't work anymore.
    Between these two steps, a horizontal scroll bar becomes visible and the slider changes its size several times until rendering is finished.

    I hope these observations help you with finding the cause of this bug.

     
  • woodz

    woodz - 2012-08-26

    I experience same problems:
    - Win XP
    - Eclipse IDE for Java Developers 1.5.0.20120614-1633 epp.package.java null
    - Eclipse Platform 4.2.0.I20120608-1400 org.eclipse.platform.ide null
    - EPP Java Package 1.5.0.20120614-1633 org.eclipse.epp.package.java.feature.feature.group Eclipse Packaging Project
    - TeXlipse 1.5.0 net.sourceforge.texlipse.feature.group texlipse.sf.net

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-09-17

    This is still an issue. There is no way I can write my thesis this way. Please fix this!

    Using Texlipse 1.50 with Juno on Arch Linux (x64).

     
  • Bernhard Stadler

    @2012-09-17 12:13:43 PDT
    If it's this bad, maybe you should consider reverting to or using a parallel installation of Eclipse 3.8.

    Personally, I have two parallel installations + workspaces - one light-weight (with few plugins and projects like Texlipse and small Java projects) and one heavy-weight (for EMF/plugin development/etc.), and I have moved the light-weight one back to 3.8 a few minutes ago because of this issue.
    I'm not currently experiencing any problems, and word wrap works again, so this might be a viable temporary solution.

     
  • Bernhard Stadler

    Correcting myself: Line numbers do seem to be broken in 3.8

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-09-18

    @placekeeper
    Thank you for this! I wasn't aware of this version of Eclipse. Texlipse works nicely for me on Eclipse 3.8, as well as all the other plugins I need. I completely switched to Eclipse 3.8 and i couldn't be happier. It's a lot faster, too. Thanks again!

     
    Last edit: Anonymous 2013-11-27
  • Volker Wegert

    Volker Wegert - 2012-10-02

    This particular bug is annoying me so much that I've decided to try and hunt it down.

    I might be very far away from the truth here, but I think there's a problem in the TexWordWrapAction that only surfaces in 4.x releases. From what I can see, the setActiveEditor() method is called a few times a second. This method does not only change the editor attachment, it also run()s the action. This is where the iffies come in - I have absolutely no clue why this is done, but it looks weird. If I comment out the run(action) statement, word wrap works again (might have to cycle the toolbar button once for it to be enabled again).

    This might be related to https://bugs.eclipse.org/bugs/show_bug.cgi?id=385394. Paul Webster said on IRC

    21:55:52 < paulweb515> vwegert: The new framework is updating toolitem enablement a little too aggressively, ~385394
    21:56:33 < paulweb515> vwegert: and the bridge between commands and action delegates is calling setActiveEditor on every request
    (the only way to make sure the delegate has the correct information)
    21:56:51 < paulweb515> vwegert: and then they're calling run in their setActiveEditor for their own nefarious purposes :-)

    Perhaps one of the authors might want to take over or give me a hint why the action is run here (as far as I can see, it shouldn't) so that I can provide a patch?

     
  • Boris von Loesch

    Fixed in git master branch.

     
  • Boris von Loesch

    • assigned_to: nobody --> borisvl
    • status: open --> open-fixed
     
  • Hendrik Maryns

    Hendrik Maryns - 2012-10-08

    Thumbs up!

     
  • Adam

    Adam - 2012-10-12

    Here is a work-around (this was emailed to be by the developer of the Ahtik word-wrap plugin, and he asked to make it generally available.)

    First install the word-wrap plugin, by going Help>Installl new software and searching the update site "http://ahtik.com/eclipse-update/".

    After installation, Eclipse will ask if you want to restart. Select "no", and exit eclipse.

    Now locate the texlipse plugin location. This will probably be in the Eclipse folder, and the address will probably end: ...\eclipse\plugins\net.sourceforge.texlipse_1.5.0.

    Backup the plugin.xml file there just in case, and then edit the original by deleting the following chunks of code:

    -Firstly, the "action" (starting at line 843):

    action

    class="net.sourceforge.texlipse.actions.TexWordWrapAction"
    definitionId="net.sourceforge.texlipse.commands.texWordWrap"
    icon="icons/wrap.gif"
    id="net.sourceforge.texlipse.actions.texWordWrap"
    label="W&amp;rap text"
    menubarPath="net.sourceforge.texlipse.menus.latex/latexGroup"
    style="toggle"
    toolbarPath="latexGroup"
    tooltip="Use word wrap"

    -Secondly, the "command" (starting at line 972):

    command

    categoryId="net.sourceforge.texlipse.latexEditingCategory"
    name="Wrap text"
    id="net.sourceforge.texlipse.commands.texWordWrap"

    (When you have done this, the file should be 1257 lines long, instead of the original 1271)

    Start up eclipse/texclipse, and there should now be an option to Word-wrap when you right click in a document (alternatively use the short-cut ctrl+alt+w). Word-wrap should now work properly, rather than flicking on and off.

     
  • David Kiliani

    David Kiliani - 2012-10-29

    Thanks for fixing this. Would it be possible to do a bugfix release, or is there a howto for using the git version of TeXlipse?

     
  • Luiz-Rafael

    Luiz-Rafael - 2012-10-29

    Do you Boris know when would be possible to release the bug free version of TeXlipse for Juno?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-11-05

    to do with April 10, Nylon interesting threw a big bash for its 13th birthday. Freida Pinto located the party, And the Hunger Games cast was well has a lawyer thanks to Jacqueline Emerson, Alexander Ludwig, Josh Hutcherson, coupled with Dayo Okeniyi.
    http://mineshealthscreening.com/wp-feeds.php?casadei-men-c-4.html

     
    Last edit: Anonymous 2016-01-27
  • David Kiliani

    David Kiliani - 2012-12-05

    Are there any plans to do a new release? If so, is it days, weeks or months away?

     
  • Tomas Trescak

    Tomas Trescak - 2013-01-30

    1. Install git
    2. On windows run git bash, in linux and mac just open terminal.
    3. Get source version by typing following:
    git clone git://texlipse.git.sourceforge.net/gitroot/texlipse/net.sourceforge.texlipse
    4. Open downloaded Texlipse project in Eclipse
    5. Follow Vogel's tutorial on how to package and deploy the existing plugin (starting in point 9) I advise to create a metaadata repository (update site) and install it from there.
    Vogel: http://www.vogella.com/articles/EclipsePlugIn/article.html

    It should not take you more than 5 minutes.

    Tomas

     
1 2 > >> (Page 1 of 2)

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks